import { jsx } from "react/jsx-runtime";
import { Terminal as Terminal$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Terminal = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Terminal", ...props, children: /* @__PURE__ */ jsx(Terminal$1, { weight: variant }) });
  }
);
Terminal.displayName = "Terminal";
Object.assign(Terminal, { isGdsIcon: true });
export {
  Terminal
};
